function print_fscores(ranks, D)
%print_fscores(ranks, D)
% Print feature scores for features ranked in "ranks" and data D.

% IG Dec 07
if length(unique(ranks))==2
    
    [a, e]=bac(-ranks, D.Fdcauses); % Target values are 1 for a direct cause and -1 for others
    fprintf('\tDirect cause discovery dCBAC=%5.4f+-%5.4f\n', a, e);
    [a, e]=bac(-ranks, D.Fcauses); % Target values are 1 for a cause and -1 for a non-cause
    fprintf('\tAll cause discovery CBAC=%5.4f+-%5.4f\n', a, e);
    [a, e]=bac(-ranks, D.Fdeffects); % Target values are 1 for a direct effect and -1 for others
    fprintf('\tDirect effect discovery dEBAC=%5.4f+-%5.4f\n', a, e);
    [a, e]=bac(-ranks, D.Feffects); % Target values are 1 for an effect and -1 for a non-effect
    fprintf('\tAll effect discovery EBAC=%5.4f+-%5.4f\n', a, e);  
    [a, e]=bac(-ranks, D.Fdcauneff); % Target values are 1 for a direct effect or a direct cause and -1 for others
    fprintf('\tDirect cause and effect discovery dCEBAC=%5.4f+-%5.4f\n', a, e);
    [a, e]=bac(-ranks, D.Fcauneff); % Target values are 1 for an effect or a cause and -1 for others
    fprintf('\tAll cause and effect discovery CEBAC=%5.4f+-%5.4f\n', a, e); 
    [a, e]=bac(-ranks, D.Fspouses); % Target values are 1 for target spouses and -1 for others
    fprintf('\tTarget spouse discovery SBAC=%5.4f+-%5.4f\n', a, e);
    [a, e]=bac(-ranks, D.Frelatives); % Target values are 1 for target relatives and -1 for others
    fprintf('\tTarget relative discovery RBBAC=%5.4f+-%5.4f\n', a, e); 
    [a, e]=bac(-ranks, D.Fblanket); % Target values are 1 for target Markov Blanket and -1 for others
    fprintf('\tMarkov Blanket discovery MBBAC=%5.4f+-%5.4f\n', a, e); 

else
    [a, e]=auc(-ranks, D.Fdcauses); % Target values are 1 for a direct cause and -1 for others
    fprintf('\tDirect cause discovery dCAUC=%5.4f+-%5.4f\n', a, e);
    [a, e]=auc(-ranks, D.Fcauses); % Target values are 1 for a cause and -1 for a non-cause
    fprintf('\tAll cause discovery CAUC=%5.4f+-%5.4f\n', a, e);
    [a, e]=auc(-ranks, D.Fdeffects); % Target values are 1 for a direct effect and -1 for others
    fprintf('\tDirect effect discovery dEAUC=%5.4f+-%5.4f\n', a, e);
    [a, e]=auc(-ranks, D.Feffects); % Target values are 1 for an effect and -1 for a non-effect
    fprintf('\tAll effect discovery EAUC=%5.4f+-%5.4f\n', a, e);  
    [a, e]=auc(-ranks, D.Fdcauneff); % Target values are 1 for a direct effect or a direct cause and -1 for others
    fprintf('\tDirect cause and effect discovery dCEAUC=%5.4f+-%5.4f\n', a, e);
    [a, e]=auc(-ranks, D.Fcauneff); % Target values are 1 for an effect or a cause and -1 for others
    fprintf('\tAll cause and effect discovery CEAUC=%5.4f+-%5.4f\n', a, e); 
    [a, e]=auc(-ranks, D.Fspouses); % Target values are 1 for target spouses and -1 for others
    fprintf('\tTarget spouse discovery SAUC=%5.4f+-%5.4f\n', a, e);
    [a, e]=auc(-ranks, D.Frelatives); % Target values are 1 for target relatives and -1 for others
    fprintf('\tTarget relative discovery RAUC=%5.4f+-%5.4f\n', a, e);
    [a, e]=auc(-ranks, D.Fblanket); % Target values are 1 for target Markov Blanket and -1 for others
    fprintf('\tMarkov Blanket discovery MBAUC=%5.4f+-%5.4f\n', a, e); 
end