function p=read_parameters(filename)
%p=read_parameters(filename)
% Read dataset parameters and statistics

% Isabelle Guyon -- August 2003, Oct 2007 -- isabelle@clopinet.com

if isempty(strfind(filename, '.param'))
    filename=[filename '.param'];
end
fp=fopen(filename, 'r');

p.data_type=fscanf(fp, 'Data type: %s\n');
tline=fgetl(fp);
if(strcmp(tline(1), 'T'))
    p.target_type=sscanf(tline, 'Target type: %s\n');
    tline=fgetl(fp);
else
    p.target_type='binary';
end
p.feat_num=sscanf(tline, 'Number of features: %d\n');
tline=fgetl(fp);
tline=fgetl(fp);
details=1;
if strfind(tline, 'Num_ex'), details=0; end
if details
    m=fscanf(fp, 'Train\t%d\t%d\t%d\t%g\n');
    if length(m)>3, cs=1; else cs=0; end
    p.train_pos_num=m(1);
    p.train_neg_num=m(2);
    p.train_num=m(3);
    if cs, p.train_check_sum=m(4); end
    tline=fgetl(fp);
    if(strcmp(tline(1), 'V'))
        m=sscanf(tline, 'Valid\t%d\t%d\t%d\t%g\n');
        p.valid_pos_num=m(1);
        p.valid_neg_num=m(2);
        p.valid_num=m(3);
        if cs, p.valid_check_sum=m(4); end
        tline=fgetl(fp);
    end
    m=sscanf(tline, 'Test\t%d\t%d\t%d\t%g\n');
    if isempty(m), m=sscanf(tline, 'est\t%d\t%d\t%d\t%g\n'); end
    p.test_pos_num=m(1);
    p.test_neg_num=m(2);
    p.test_num=m(3);
    if cs, p.test_check_sum=m(4); end
    m=fscanf(fp, 'All\t%d\t%d\t%d\t%g\n');
    p.all_pos_num=m(1);
    p.all_neg_num=m(2);
    p.all_num=m(3);
    if cs, p.all_check_sum=m(4); end
else
    m=fscanf(fp, 'Train\t%d\t%g');
    if length(m)>1, cs=1; else cs=0; end
    p.train_num=m(1);
    if cs, p.train_check_sum=m(2); end
    tline=fgetl(fp); tline=fgetl(fp);
    if(strcmp(tline(1), 'V'))
        m=sscanf(tline, 'Valid\t%d\t%g\n');
        p.valid_num=m(1);
        if cs, p.valid_check_sum=m(2); end
        tline=fgetl(fp);
    end
    m=sscanf(tline, 'Test\t%d\t%g\n');
    p.test_num=m(1);
    if cs, p.test_check_sum=m(2); end
    m=fscanf(fp, 'All\t%d\t%g\n');
    p.all_num=m(1);
    if cs, p.all_check_sum=m(2); end
end


fclose(fp);
